Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceCostMap

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.voice.common.bean.VoiceCostMap

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class VoiceCostMap extends IdTitle
Модель карты цен модуля Voice.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceCostMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  Получение комментария для карты цен.
  `int`
  `getOperatorId()`
  `VoiceCostMap`
  `setComment(String comment)`
  Установка комментария для карты цен.
  `VoiceCostMap`
  `setId(int id)`
  Устанавливает id объекта
  `VoiceCostMap`
  `setOperatorId(int operatorId)`
  `VoiceCostMap`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceCostMap

    public VoiceCostMap()

- ## Method Details

  - ### getComment

    public String getComment()
    Получение комментария для карты цен.
    Returns:
      комментарий.

  - ### getOperatorId

    public int getOperatorId()

  - ### setComment

    public VoiceCostMap setComment(String comment)
    Установка комментария для карты цен.
    Parameters:
      `comment` - комментарий.

  - ### setId

    public VoiceCostMap setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setOperatorId

    public VoiceCostMap setOperatorId(int operatorId)

  - ### setTitle

    public VoiceCostMap setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`